import { CardInterpolationProps, CardInterpolatedStyle } from '../types';
/**
 * Standard iOS-style slide in from the right.
 */
export declare function forHorizontalIOS({ current, next, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard iOS-style slide in from the bottom (used for modals).
 */
export declare function forVerticalIOS({ current, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard iOS-style modal animation in iOS 13.
 */
export declare function forModalPresentationIOS({ index, current, next, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard Android-style fade in from the bottom for Android Oreo.
 */
export declare function forFadeFromBottomAndroid({ current, layouts: { screen }, closing, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard Android-style reveal from the bottom for Android Pie.
 */
export declare function forRevealFromBottomAndroid({ current, next, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
