import * as React from 'react';
import { ViewProps, StyleProp, ViewStyle } from 'react-native';
import Animated from 'react-native-reanimated';
import { TransitionSpec, CardStyleInterpolator, Layout } from '../../types';
declare type Props = ViewProps & {
    index: number;
    active: boolean;
    closing?: boolean;
    transparent?: boolean;
    next?: Animated.Node<number>;
    current: Animated.Value<number>;
    layout: Layout;
    gestureDirection: 'horizontal' | 'vertical' | 'vertical-inverted';
    onOpen: (isFinished: boolean) => void;
    onClose: (isFinished: boolean) => void;
    onTransitionStart?: (props: {
        closing: boolean;
    }) => void;
    onGestureBegin?: () => void;
    onGestureCanceled?: () => void;
    onGestureEnd?: () => void;
    children: React.ReactNode;
    overlayEnabled: boolean;
    shadowEnabled: boolean;
    gestureEnabled: boolean;
    gestureResponseDistance?: {
        vertical?: number;
        horizontal?: number;
    };
    transitionSpec: {
        open: TransitionSpec;
        close: TransitionSpec;
    };
    styleInterpolator: CardStyleInterpolator;
    containerStyle?: StyleProp<ViewStyle>;
    contentStyle?: StyleProp<ViewStyle>;
};
export default class Card extends React.Component<Props> {
    static defaultProps: {
        overlayEnabled: boolean;
        shadowEnabled: boolean;
        gestureEnabled: boolean;
    };
    componentDidUpdate(prevProps: Props): void;
    private isVisible;
    private isVisibleValue;
    private nextIsVisible;
    private verticalGestureDirection;
    private isClosing;
    private noAnimationStartedSoFar;
    private isRunningAnimation;
    private clock;
    private direction;
    private layout;
    private distance;
    private gesture;
    private offset;
    private velocity;
    private gestureState;
    private isSwiping;
    private isSwipeCancelled;
    private isSwipeGesture;
    private toValue;
    private frameTime;
    private transitionVelocity;
    private transitionState;
    private handleTransitionEnd;
    private runTransition;
    private extrapolatedPosition;
    private exec;
    private execNoGesture;
    private execWithGesture;
    private handleGestureEventHorizontal;
    private handleGestureEventVertical;
    componentWillUnmount(): void;
    private getInterpolatedStyle;
    private interpolatedStyle;
    private gestureActivationCriteria;
    private gestureRef;
    render(): JSX.Element;
}
export {};
